package com.ejie.ab63.model.procedimientos;

public class ProcedimientosRelacionados implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelProcedimiento;
	private Procedimientos procedimientoOrigen;
	private Procedimientos procedInicioOficio;

	/**
	 * Method 'Procedimientos'.
	 */
	public ProcedimientosRelacionados() {
	}

	/**
	 * Method 'Procedimientos'.
	 * 
	 * @param idProcedimiento
	 *            Integer
	 */
	public ProcedimientosRelacionados(Integer idRelProcedimiento) {
		this.setIdRelProcedimiento(idRelProcedimiento);
	}

	/**
	 * 
	 * @param idRelProcedimiento
	 * @param idProcedimientoOrigen
	 * @param idProcedInicioOficio
	 */
	public ProcedimientosRelacionados(Integer idRelProcedimiento, Procedimientos idProcedimientoOrigen,
			Procedimientos idProcedInicioOficio) {

		this.idRelProcedimiento = idRelProcedimiento;
		this.procedimientoOrigen = idProcedimientoOrigen;
		this.procedInicioOficio = idProcedInicioOficio;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelProcedimiento: ").append(this.idRelProcedimiento).append(" ]");
		result.append(", [ idProcedimientoOrigen: ").append(this.procedimientoOrigen).append(" ]");
		result.append(", [ idProcedInicioOficio: ").append(this.procedInicioOficio).append(" ]");
		result.append("}");
		return result.toString();
	}

	public Integer getIdRelProcedimiento() {
		return idRelProcedimiento;
	}

	public void setIdRelProcedimiento(Integer idRelProcedimiento) {
		this.idRelProcedimiento = idRelProcedimiento;
	}

	public Procedimientos getProcedimientoOrigen() {
		return procedimientoOrigen;
	}

	public void setProcedimientoOrigen(Procedimientos idProcedimientoOrigen) {
		this.procedimientoOrigen = idProcedimientoOrigen;
	}

	public Procedimientos getProcedInicioOficio() {
		return procedInicioOficio;
	}

	public void setProcedInicioOficio(Procedimientos idProcedInicioOficio) {
		this.procedInicioOficio = idProcedInicioOficio;
	}

}
